import { fetchScenes } from '#/src/scenes.js';
import { curateScenesQuery } from '#/src/web/scenes.js';

export async function onBeforeRender(pageContext) {
	const searchScenes = await fetchScenes(await curateScenesQuery({
		...pageContext.urlQuery,
		query: pageContext.urlParsed.search.q,
		scope: pageContext.urlParsed.search.scope || 'results',
	}), {
		page: Number(pageContext.routeParams.page) || 1,
		limit: Number(pageContext.urlParsed.search.limit) || 30,
	});

	const {
		scenes,
		aggActors,
		aggTags,
		aggChannels,
		total,
		limit,
	} = searchScenes;

	return {
		pageContext: {
			title: `Search '${pageContext.urlParsed.search.q}'`,
			pageProps: {
				scenes,
				aggActors,
				aggTags,
				aggChannels,
				limit,
				total,
			},
		},
	};
}
